InterpolatedYoYOptionletStripper< Interpolator1D > Class Template Reference

`#include <ql/experimental/inflation/interpolatedyoyoptionletstripper.hpp>`

Inheritance diagram for InterpolatedYoYOptionletStripper< Interpolator1D >:
[legend]

## Public Member Functions

virtual void | initialize (const ext::shared_ptr< YoYCapFloorTermPriceSurface > &, const ext::shared_ptr< YoYInflationCapFloorEngine > &, Real slope) const
| YoYOptionletStripper interface.
virtual Rate | minStrike () const
virtual Rate | maxStrike () const
virtual std::vector< Rate > | strikes () const
virtual std::pair< std::vector< Rate >, std::vector< Volatility > > | slice (const Date &d) const

## Protected Attributes

std::vector< ext::shared_ptr< YoYOptionletVolatilitySurface > > | volCurves_
Protected Attributes inherited from YoYOptionletStripper
ext::shared_ptr< YoYCapFloorTermPriceSurface > | YoYCapFloorTermPriceSurface_
ext::shared_ptr< YoYInflationCapFloorEngine > | p_
Period | lag_
Frequency | frequency_
bool | indexIsInterpolated_

## Detailed Description

### template<class Interpolator1D>
class QuantLib::InterpolatedYoYOptionletStripper< Interpolator1D >

The interpolated version interpolates along each K (as opposed to fitting a model, say).

Bug:
  Tests currently fail.